Name:       ansible-ovirt
Version:    1.1.14
Release:    1%{?dist}
Summary:    Ansible module for installing and configuring Ovirt/RHV
Group:      Applications/System
License:    GPLv3+ and ASL 2.0
URL:        https://github.com/fusor/ansible-ovirt
Source0:    %{name}-%{version}.tar.gz

BuildArch:  noarch

Requires:  ansible >= 2.2

%description
Ansible module for installing and configuring Ovirt/RHV (engine + hypervisor or self-hosted scenarios)

%prep
%setup -q -n %{name}-%{version}
rm -rf ansible-ovirt.spec rel-eng

%build

%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/%{name}
cp -r * %{buildroot}/%{_datadir}/%{name}

%files
%{_datadir}/%{name}

%changelog
* Tue Feb 14 2017 Dylan Murray <dymurray@redhat.com> 1.1.14-1
- No longer required to pass in "packages" list. (derekwhatley@gmail.com)
- Use image_path provided as playbook variable. (derekwhatley@gmail.com)
- Fix disk image upload (derekwhatley@gmail.com)

* Mon Feb 13 2017 Dylan Murray <dymurray@redhat.com> 1.1.13-1
- Auto-detect RHEL7 guest image path. (derekwhatley@gmail.com)

* Fri Feb 03 2017 Dylan Murray <dymurray@redhat.com> 1.1.12-1
- No longer reinstall ebtables (fabianvf@users.noreply.github.com)

* Mon Jan 30 2017 Dylan Murray <dymurray@redhat.com> 1.1.11-1
- Restart imageio-daemon on all hypervisors in self-hosted RHV deploy
  (derekwhatley@gmail.com)
-  Hosted engine is now configured with ansible rather than cloud-init
  (fabian@fabianism.us)
- add role to register a host to Satellite using an activation key
  (fabian@fabianism.us)

* Fri Jan 27 2017 Dylan Murray <dymurray@redhat.com> 1.1.10-1
- 1413926- Wait for user to be able to login after port 22 is open
  (fabian@fabianism.us)

* Fri Jan 20 2017 Dylan Murray <dymurray@redhat.com> 1.1.9-1
- 1414496- stringify exception args (fabian@fabianism.us)
- Remove the strict version of ebtables (khakimi@redhat.com)

* Tue Jan 10 2017 Dylan Murray <dymurray@redhat.com> 1.1.8-1
- add playbook and roles for launching vms (fabian@fabianism.us)

* Thu Jan 05 2017 Dylan Murray <dymurray@redhat.com> 1.1.7-1
- Added variable host_name (khakimi@redhat.com)
- Added support for dynamic compatibility version (khakimi@redhat.com)

* Thu Dec 15 2016 jesus m. rodriguez <jesusr@redhat.com> 1.1.6-1
- All polling tasks now poll every 5 seconds instead of every 30-60 (fabian@fabianism.us)

* Wed Nov 30 2016 Jason Montleon <jmontleo@redhat.com> 1.1.5-1
- 1371887- Make yum commands run before the VM comes down (fabian@fabianism.us)

* Mon Nov 21 2016 John Matthews <jwmatthews@gmail.com> 1.1.4-1
- Fix typo carried over from puppet module (fabian@fabianism.us)
- explicitly remove ebtables so the downgrade sticks (fabian@fabianism.us)
- Check return code rather than using failure filter (fabian@fabianism.us)
- 1371887- use correct distribution name when checking for RHEL
  (fabian@fabianism.us)
- ignore non-zero exit codes on check to see if installer has already run
  (fabian@fabianism.us)
- 1391530- Restart the network service after disabling NetworkManager, so that
  dhclient picks up the right network scripts (fabian@fabianism.us)
- 1390655- add role to wait for existing yum tasks to complete before
  installing any dependencies (fabian@fabianism.us)
- Fixes for demo environment (#8) (fabianvf@users.noreply.github.com)
- 1386256- Pin version of ebtables to prevent hosted-engine installer from
  failing in a nested virt environment (fabian@fabianism.us)

* Mon Oct 24 2016 jkim <johnkim76@gmail.com> 1.1.3-1
- 1386398- make yum tasks async (fabian@fabianism.us)
- make db addresses for engine default to localhost (fabian@fabianism.us)
- 137887- Install katello-agent on self-hosted engine (fabian@fabianism.us)

* Thu Oct 13 2016 John Matthews <jwmatthews@gmail.com> 1.1.2-1
- add static IPs for all boxes back (fabian@fabianism.us)
- 1383389- Skip TTY check (fabian@fabianism.us)
- Add default value for storage_type in storage role (fabian@fabianism.us)
- Update demo environment so it actually works (fabian@fabianism.us)
- Update README.md (fabianvf@users.noreply.github.com)
- Update README.md (fabianvf@users.noreply.github.com)
- Update README.md (fabianvf@users.noreply.github.com)
- Update README.md (fabianvf@users.noreply.github.com)
- Update README.md (fabianvf@users.noreply.github.com)
- Decrease memory requirements + add more documentation (fabian@fabianism.us)
- Disable parallel VM creation (fabian@fabianism.us)

* Mon Oct 03 2016 Jason Montleon <jmontleo@redhat.com> 1.1.1-1
- new package built with tito

